# Uses of Enum Class
javafx.scene.media.MediaPlayer.Status

Packages that use MediaPlayer.Status
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaPlayer.Status in javafx.scene.media

Methods in javafx.scene.media that return MediaPlayer.Status
Modifier and Type
Method
Description
`final MediaPlayer.Status`
MediaPlayer.`getStatus()`
Retrieves the current player status.
`static MediaPlayer.Status`
MediaPlayer.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaPlayer.Status[]`
MediaPlayer.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.media that return types with arguments of type MediaPlayer.Status
Modifier and Type
Method
Description
`ReadOnlyObjectProperty<MediaPlayer.Status>`
MediaPlayer.`statusProperty()`
The current state of the MediaPlayer.